<?php
/**
 * Default template part for the product on the
 * transaction confirmation template part.
 *
 * @since 1.1.0
 * @version 1.1.0
 * @package IT_Exchange
 *
 * WARNING: Do not edit this file directly. To use
 * this template in a theme, simply copy over this
 * file's content to the exchange/content-confirmation/elements/
 * directory located in your theme.
*/
?>

<?php do_action( 'it_exchange_content_confirmation_before_product_element' ); ?>
<div class="it-exchange-transaction-product it-exchange-columns-wrapper it-exchange-clearfix">
	<?php do_action( 'it_exchange_content_confirmation_before_product_details' ); ?>
	<div class="it-exchange-transaction-product-details it-exchange-column">
		<div class="it-exchange-column-inner">
			<?php do_action( 'it_exchange_content_confirmation_before_product_attibutes' ); ?>
			<div class="it-exchange-transaction-product-attributes it-exchange-clearfix it-exchange-transaction-product-<?php echo ( it_exchange( 'transaction', 'has-featured-image' ) ) ? 'has-featured-image' : 'no-featured-image' ?>">
				<?php do_action( 'it_exchange_content_confirmation_before_product_featured_image' ); ?>
				<?php it_exchange( 'transaction', 'featured-image' ); ?>
				<?php do_action( 'it_exchange_content_confirmation_after_product_featured_image' ); ?>

				<?php do_action( 'it_exchange_content_confirmation_before_product_title' ); ?>
				<?php it_exchange( 'transaction', 'product-attribute', array( 'attribute' => 'title', 'wrap' => 'h3' ) ); ?>
				<?php do_action( 'it_exchange_content_confirmation_after_product_title' ); ?>
			</div>
			<?php do_action( 'it_exchange_content_confirmation_after_product_attibutes' ); ?>

			<?php if ( it_exchange( 'transaction', 'has-product-downloads' ) ) : ?>
				<?php do_action( 'it_exchange_content_confirmation_before_product_downloads' ); ?>
				<div class="it-exchange-transaction-product-downloads it-exchange-clearfix">
					<h4><?php _e( 'Downloads', 'it-l10n-ithemes-exchange' ); ?></h4>
					<?php if ( ! it_exchange( 'transaction', 'get-cleared-for-delivery' ) ) : ?>
						<p><?php _e( 'The status for this transaction does not grant access to downloadable files. Once the transaction is updated to an approved status, you will receive a followup email with your download links.', 'it-l10n-ithemes-exchange' ); ?></p>
					<?php endif; ?>
					<ul class="it-exchange-transaction-product-downloads-list">
						<?php while( it_exchange( 'transaction', 'product-downloads' ) ) : ?>
								<?php if ( it_exchange( 'transaction', 'has-product-download-hashes' ) ) : ?>
									<?php while( it_exchange( 'transaction', 'product-download-hashes' ) ) : ?>
										<li class="it-exchange-download-data it-exchange-clearfix">
											<span class="it-exchange-transaction-product-download-title it-exchange-left">
												<?php it_exchange( 'transaction', 'product-download', array( 'attribute' => 'title' ) ); ?>
											</span>
											<?php if ( ! it_exchange( 'transaction', 'get-product-download-hash', array( 'attribute' => 'download-limit' ) ) || it_exchange( 'transaction', 'get-product-download-hash', array( 'attribute' => 'downloads-remaining' ) ) ) : ?>
												<?php if ( it_exchange( 'transaction', 'get-cleared-for-delivery' ) ) : ?>
													<span class="it-exchange-right">
														<a class="button btn" href="<?php it_exchange( 'transaction', 'product-download-hash', array( 'attribute' => 'download-url' ) ); ?>"><?php _e( 'Download', 'it-l10n-ithemes-exchange' ); ?></a>
													</span>
												<?php endif; ?>
											<?php endif; ?>
										</li>
									<?php endwhile; ?>
								<?php endif; ?>
						<?php endwhile; ?>
					</ul>
				</div>
				<?php do_action( 'it_exchange_content_confirmation_after_product_downloads' ); ?>
			<?php endif; ?>
		</div>
	</div>
	<?php do_action( 'it_exchange_content_confirmation_after_product_details' ); ?>

	<?php do_action( 'it_exchange_content_confirmation_before_product_cart_object' ); ?>
	<div class="it-exchange-transaction-product-cart-object it-exchange-column">
		<div class="it-exchange-column-inner">
			<?php it_exchange( 'transaction', 'product-attribute', array( 'attribute' => 'product_count' ) ); ?>
			<span class="it-exchange-right"><?php it_exchange( 'transaction', 'product-attribute', array( 'attribute' => 'product_base_price' ) ); ?></span>
		</div>
	</div>
	<?php do_action( 'it_exchange_content_confirmation_after_product_cart_object' ); ?>
</div>
<?php do_action( 'it_exchange_content_confirmation_after_product_element' ); ?>
